import { writable } from 'svelte/store'

type DBState = {
	transacting: boolean
}

function createStore() {
	const state = {
		transacting: false
	}
	const { subscribe, update, set } = writable(state)
	return {
		subscribe,
		update,
		set
	}
}

export const dbStateStore = createStore()
